dpkg error code 1 every time installing with apt

InvaderSumo

Member
Joined
Apr 25, 2024
Messages
129
Reaction score
15
Credits
1,411
I used apt to install apt, and today durring anything I would install I kept getting the same error...
i tried install lynis with sudo apt install lynis.
this is the output. need help.

debian@debian:~$ sudo apt install lynis
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following packages were automatically installed and are no longer required:
libwpe-1.0-1 libwpebackend-fdo-1.0-1 linux-image-6.1.0-18-amd64
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
menu
Suggested packages:
apt-listbugs debsecan debsums tripwire samhain aide fail2ban menu-l10n gksu
| kde-cli-tools | ktsuss
The following NEW packages will be installed:
lynis menu
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
4 not fully installed or removed.
Need to get 636 kB of archives.
After this operation, 3,227 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://ftp.us.debian.org/debian bookworm/main amd64 lynis all 3.0.8-1.1 [265 kB]
Get:2 http://ftp.us.debian.org/debian bookworm/main amd64 menu amd64 2.1.49 [371 kB]
Fetched 636 kB in 1s (428 kB/s)
Selecting previously unselected package lynis.
(Reading database ... 305397 files and directories currently installed.)
Preparing to unpack .../lynis_3.0.8-1.1_all.deb ...
Unpacking lynis (3.0.8-1.1) ...
Selecting previously unselected package menu.
Preparing to unpack .../archives/menu_2.1.49_amd64.deb ...
Unpacking menu (2.1.49) ...
Setting up lynis (3.0.8-1.1) ...
Created symlink /etc/systemd/system/timers.target.wants/lynis.timer → /lib/syste
md/system/lynis.timer.
lynis.service is a disabled or a static unit, not starting it.
Setting up linux-image-6.1.0-21-amd64 (6.1.90-1) ...
/etc/kernel/postinst.d/dkms:
dkms: running auto installation service for kernel 6.1.0-21-amd64.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j2 KERNELRELEASE=6.1.0-21-amd64 all KERNEL_SRC=/lib/modules/6.1.0-21-amd64
/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-21-amd64 (x86_64)
Consult /var/lib/dkms/anbox-ashmem/1/build/make.log for more information.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j2 KERNELRELEASE=6.1.0-21-amd64 all KERNEL_SRC=/lib/modules/6.1.0-21-amd64
/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-21-amd64 (x86_64)
Consult /var/lib/dkms/anbox-binder/1/build/make.log for more information.
Error! One or more modules failed to install during autoinstall.
Refer to previous errors for more information.
dkms: autoinstall for kernel: 6.1.0-21-amd64 failed!
run-parts: /etc/kernel/postinst.d/dkms exited with return code 11
dpkg: error processing package linux-image-6.1.0-21-amd64 (--configure):
installed linux-image-6.1.0-21-amd64 package post-installation script subproces
s returned error exit status 1
dpkg: dependency problems prevent configuration of linux-image-amd64:
linux-image-amd64 depends on linux-image-6.1.0-21-amd64 (= 6.1.90-1); however:
Package linux-image-6.1.0-21-amd64 is not configured yet.

dpkg: error processing package linux-image-amd64 (--configure):
dependency problems - leaving unconfigured
Setting up linux-headers-6.1.0-21-amd64 (6.1.90-1) ...
/etc/kernel/header_postinst.d/dkms:
dkms: running auto installation service for kernel 6.1.0-21-amd64.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j2 KERNELRELEASE=6.1.0-21-amd64 all KERNEL_SRC=/lib/modules/6.1.0-21-amd64
/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-21-amd64 (x86_64)
Consult /var/lib/dkms/anbox-ashmem/1/build/make.log for more information.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j2 KERNELRELEASE=6.1.0-21-amd64 all KERNEL_SRC=/lib/modules/6.1.0-21-amd64
/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-21-amd64 (x86_64)
Consult /var/lib/dkms/anbox-binder/1/build/make.log for more information.
Error! One or more modules failed to install during autoinstall.
Refer to previous errors for more information.
dkms: autoinstall for kernel: 6.1.0-21-amd64 failed!
run-parts: /etc/kernel/header_postinst.d/dkms exited with return code 11
Failed to process /etc/kernel/header_postinst.d at /var/lib/dpkg/info/linux-head
ers-6.1.0-21-amd64.postinst line 11.
dpkg: error processing package linux-headers-6.1.0-21-amd64 (--configure):
installed linux-headers-6.1.0-21-amd64 package post-installation script subproc
ess returned error exit status 1
Setting up menu (2.1.49) ...
dpkg: dependency problems prevent configuration of linux-headers-amd64:
linux-headers-amd64 depends on linux-headers-6.1.0-21-amd64 (= 6.1.90-1); howev
er:
Package linux-headers-6.1.0-21-amd64 is not configured yet.

dpkg: error processing package linux-headers-amd64 (--configure):
dependency problems - leaving unconfigured
Processing triggers for mailcap (3.70+nmu1) ...
Processing triggers for desktop-file-utils (0.26-1) ...
Processing triggers for gnome-menus (3.36.0-1.1) ...
Processing triggers for man-db (2.11.2-2) ...
Processing triggers for menu (2.1.49) ...
Errors were encountered while processing:
linux-image-6.1.0-21-amd64
linux-image-amd64
linux-headers-6.1.0-21-amd64
linux-headers-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)



does it have something to do with my kernel?
i did uname -r it says im using kernel
6.1.0-20-amd64
is their a newer kernel that I just haven't installed yet???
 


You are using Debian 12?


I used apt to install apt,
Why ?


Debian 12 comes with AppArmor which provides the application level security


  • It includes the latest packages of different software to make sure its users experience the latest releases

Debian 12 Bookworm includes the Advanced Package Tool (apt) as the primary package manager which is used to install, delete, and update the packages. Also, the official repositories of Debian contain a vast range of packages, libraries, and utilities (64,419 packages) that users can install. Other than the apt package manager, Debian 12 supports several other command line and graphical package management tools including apt-get, aptitude, synaptic, and the Software Center.

 
t
You are using Debian 12?



Why ?


Debian 12 comes with AppArmor which provides the application level security


  • It includes the latest packages of different software to make sure its users experience the latest releases

Debian 12 Bookworm includes the Advanced Package Tool (apt) as the primary package manager which is used to install, delete, and update the packages. Also, the official repositories of Debian contain a vast range of packages, libraries, and utilities (64,419 packages) that users can install. Other than the apt package manager, Debian 12 supports several other command line and graphical package management tools including apt-get, aptitude, synaptic, and the Software Center.

that was a typo... It was meant to say "I used apt to install rkhunter". also I'm aware of the built in software manager. Apt is a package installer and some packages cant be installed with the built in software manager. Also. I like to use the debian package installer.
 
also your comment doesn't really address my problem. Anytime I use apt to install a package or update my system, I get an output error dpkg (1) saying it couldn't install the package for whatever reason
 
I did those methods and they still still didn't fix my main issue which is this.

dpkg: error processing package linux-headers-6.1.0-21-amd64 (--configure):
installed linux-headers-6.1.0-21-amd64 package post-installation script subproc
ess returned error exit status 1
dpkg: dependency problems prevent configuration of linux-headers-amd64:
linux-headers-amd64 depends on linux-headers-6.1.0-21-amd64 (= 6.1.90-1); howev
er:
Package linux-headers-6.1.0-21-amd64 is not configured yet.

dpkg: error processing package linux-headers-amd64 (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
linux-image-6.1.0-21-amd64
linux-image-amd64
linux-headers-6.1.0-21-amd64
linux-headers-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
 
I did those methods and they still still didn't fix my main issue which is this.

dpkg: error processing package linux-headers-6.1.0-21-amd64 (--configure):
installed linux-headers-6.1.0-21-amd64 package post-installation script subproc
ess returned error exit status 1
dpkg: dependency problems prevent configuration of linux-headers-amd64:
linux-headers-amd64 depends on linux-headers-6.1.0-21-amd64 (= 6.1.90-1); howev
er:
Package linux-headers-6.1.0-21-amd64 is not configured yet.

dpkg: error processing package linux-headers-amd64 (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
linux-image-6.1.0-21-amd64
linux-image-amd64
linux-headers-6.1.0-21-amd64
linux-headers-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
The problem appears to be that the kernel is trying to compile a module/driver for Anbox Android container, but the code that the kernel is trying to compile has problems, hence it throws an error, so the user is directed to:
Code:
Consult /var/lib/dkms/anbox-binder/1/build/make.log for more information.
....
Consult /var/lib/dkms/anbox-ashmem/1/build/make.log for more information.
Perhaps check out the suggested log files.

If you were just installing lynis, there would be not be an issue, for example, it should look something like the following simulation:
Code:
$ apt -s install lynis
NOTE: This is only a simulation!
      apt needs root privileges for real execution.
      Keep also in mind that locking is deactivated,
      so don't depend on the relevance to the real current situation!
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following packages were automatically installed and are no longer required:
<snip>
Suggested packages:
  debsecan tripwire samhain aide fail2ban
The following NEW packages will be installed:
  lynis
0 upgraded, 1 newly installed, 0 to remove and 595 not upgraded.
Inst lynis (3.0.9-1 Debian:testing [all])
Conf lynis (3.0.9-1 Debian:testing [all])
 
actually yes i get the same issue. heres what happens when do apt install lynis again,
it says it already installed but i go to use it says its not installed


sudo apt install lynis
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
lynis is already the newest version (3.0.8-1.1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
4 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up linux-image-6.1.0-21-amd64 (6.1.90-1) ...
/etc/kernel/postinst.d/dkms:
dkms: running auto installation service for kernel 6.1.0-21-amd64.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j2 KERNELRELEASE=6.1.0-21-amd64 all KERNEL_SRC=/lib/modules/6.1.0-21-amd64
/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-21-amd64 (x86_64)
Consult /var/lib/dkms/anbox-ashmem/1/build/make.log for more information.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j2 KERNELRELEASE=6.1.0-21-amd64 all KERNEL_SRC=/lib/modules/6.1.0-21-amd64
/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-21-amd64 (x86_64)
Consult /var/lib/dkms/anbox-binder/1/build/make.log for more information.
Error! One or more modules failed to install during autoinstall.
Refer to previous errors for more information.
dkms: autoinstall for kernel: 6.1.0-21-amd64 failed!
run-parts: /etc/kernel/postinst.d/dkms exited with return code 11
dpkg: error processing package linux-image-6.1.0-21-amd64 (--configure):
installed linux-image-6.1.0-21-amd64 package post-installation script subproces
s returned error exit status 1
dpkg: dependency problems prevent configuration of linux-image-amd64:
linux-image-amd64 depends on linux-image-6.1.0-21-amd64 (= 6.1.90-1); however:
Package linux-image-6.1.0-21-amd64 is not configured yet.

dpkg: error processing package linux-image-amd64 (--configure):
dependency problems - leaving unconfigured
Setting up linux-headers-6.1.0-21-amd64 (6.1.90-1) ...
/etc/kernel/header_postinst.d/dkms:
dkms: running auto installation service for kernel 6.1.0-21-amd64.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j2 KERNELRELEASE=6.1.0-21-amd64 all KERNEL_SRC=/lib/modules/6.1.0-21-amd64
/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-21-amd64 (x86_64)
Consult /var/lib/dkms/anbox-ashmem/1/build/make.log for more information.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j2 KERNELRELEASE=6.1.0-21-amd64 all KERNEL_SRC=/lib/modules/6.1.0-21-amd64
/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-21-amd64 (x86_64)
Consult /var/lib/dkms/anbox-binder/1/build/make.log for more information.
Error! One or more modules failed to install during autoinstall.
Refer to previous errors for more information.
dkms: autoinstall for kernel: 6.1.0-21-amd64 failed!
run-parts: /etc/kernel/header_postinst.d/dkms exited with return code 11
Failed to process /etc/kernel/header_postinst.d at /var/lib/dpkg/info/linux-head
ers-6.1.0-21-amd64.postinst line 11.
dpkg: error processing package linux-headers-6.1.0-21-amd64 (--configure):
installed linux-headers-6.1.0-21-amd64 package post-installation script subproc
ess returned error exit status 1
dpkg: dependency problems prevent configuration of linux-headers-amd64:
linux-headers-amd64 depends on linux-headers-6.1.0-21-amd64 (= 6.1.90-1); howev
er:
Package linux-headers-6.1.0-21-amd64 is not configured yet.

dpkg: error processing package linux-headers-amd64 (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
linux-image-6.1.0-21-amd64
linux-image-amd64
linux-headers-6.1.0-21-amd64
linux-headers-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
 
i think this is the main problem

dpkg: dependency problems prevent configuration of linux-headers-amd64:
linux-headers-amd64 depends on linux-headers-6.1.0-21-amd64 (= 6.1.90-1); howev
er:
Package linux-headers-6.1.0-21-amd64 is not configured yet.
 
Code:
sudo dpkg --configure -a
 
did that and got this

sudo dpkg --configure -a
Setting up linux-image-6.1.0-21-amd64 (6.1.90-1) ...
/etc/kernel/postinst.d/dkms:
dkms: running auto installation service for kernel 6.1.0-21-amd64.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j2 KERNELRELEASE=6.1.0-21-amd64 all KERNEL_SRC=/lib/modules/6.1.0-21-amd64/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-21-amd64 (x86_64)
Consult /var/lib/dkms/anbox-ashmem/1/build/make.log for more information.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j2 KERNELRELEASE=6.1.0-21-amd64 all KERNEL_SRC=/lib/modules/6.1.0-21-amd64/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-21-amd64 (x86_64)
Consult /var/lib/dkms/anbox-binder/1/build/make.log for more information.
Error! One or more modules failed to install during autoinstall.
Refer to previous errors for more information.
dkms: autoinstall for kernel: 6.1.0-21-amd64 failed!
run-parts: /etc/kernel/postinst.d/dkms exited with return code 11
dpkg: error processing package linux-image-6.1.0-21-amd64 (--configure):
installed linux-image-6.1.0-21-amd64 package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of linux-image-amd64:
linux-image-amd64 depends on linux-image-6.1.0-21-amd64 (= 6.1.90-1); however:
linux-headers-amd64-21-amd64 processing:eds-amd64 (--configure):.1.90-1); however: returned error exit status 1 11.
Setting up linux-image-6.1.0-21-amd64 (6.1.90-1) ...
/etc/kernel/postinst.d/dkms:
dkms: running auto installation service for kernel 6.1.0-21-amd64.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j2 KERNELRELEASE=6.1.0-21-amd64 all KERNEL_SRC=/lib/modules/6.1.0-21-amd64/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-21-amd64 (x86_64)
Consult /var/lib/dkms/anbox-ashmem/1/build/make.log for more information.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j2 KERNELRELEASE=6.1.0-21-amd64 all KERNEL_SRC=/lib/modules/6.1.0-21-amd64/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-21-amd64 (x86_64)
Consult /var/lib/dkms/anbox-binder/1/build/make.log for more information.
Error! One or more modules failed to install during autoinstall.
Refer to previous errors for more information.
dkms: autoinstall for kernel: 6.1.0-21-amd64 failed!
run-parts: /etc/kernel/postinst.d/dkms exited with return code 11
dpkg: error processing package linux-image-6.1.0-21-amd64 (--configure):
installed linux-image-6.1.0-21-amd64 package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of linux-image-amd64:
linux-image-amd64 depends on linux-image-6.1.0-21-amd64 (= 6.1.90-1); however:
Package linux-image-6.1.0-21-amd64 is not configured yet.

dpkg: error processing package linux-image-amd64 (--configure):
dependency problems - leaving unconfigured
Setting up linux-headers-6.1.0-21-amd64 (6.1.90-1) ...
/etc/kernel/header_postinst.d/dkms:
dkms: running auto installation service for kernel 6.1.0-21-amd64.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j2 KERNELRELEASE=6.1.0-21-amd64 all KERNEL_SRC=/lib/modules/6.1.0-21-amd64/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-21-amd64 (x86_64)
Consult /var/lib/dkms/anbox-ashmem/1/build/make.log for more information.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j2 KERNELRELEASE=6.1.0-21-amd64 all KERNEL_SRC=/lib/modules/6.1.0-21-amd64/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-21-amd64 (x86_64)
Consult /var/lib/dkms/anbox-binder/1/build/make.log for more information.
Error! One or more modules failed to install during autoinstall.
Refer to previous errors for more information.
dkms: autoinstall for kernel: 6.1.0-21-amd64 failed!
run-parts: /etc/kernel/header_postinst.d/dkms exited with return code 11
Failed to process /etc/kernel/header_postinst.d at /var/lib/dpkg/info/linux-headers-6.1.0-21-amd64.postinst line 11.
dpkg: error processing package linux-headers-6.1.0-21-amd64 (--configure):
installed linux-headers-6.1.0-21-amd64 package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of linux-headers-amd64:
linux-headers-amd64 depends on linux-headers-6.1.0-21-amd64 (= 6.1.90-1); however:
Package linux-headers-6.1.0-21-amd64 is not configured yet.

dpkg: error processing package linux-headers-amd64 (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
linux-image-6.1.0-21-amd64
linux-image-amd64
linux-headers-6.1.0-21-amd64
linux-headers-amd64
bash: syntax error near unexpected token `('
bash: /etc/kernel/postinst.d/dkms:: No such file or directory
bash: dkms:: command not found
bash: Sign: command not found
bash: Signing: command not found
bash: syntax error near unexpected token `('
bash: Building: command not found
bash: Cleaning: command not found
bash: syntax error near unexpected token `('
bash: syntax error near unexpected token `('
bash: Consult: command not found
bash: Sign: command not found
bash: Signing: command not found
bash: syntax error near unexpected token `('
bash: Building: command not found
bash: Cleaning: command not found
bash: syntax error near unexpected token `('
bash: syntax error near unexpected token `('
bash: Consult: command not found
bash: Error!: command not found
bash: Refer: command not found
bash: dkms:: command not found
bash: run-parts:: command not found
bash: syntax error near unexpected token `('
bash: installed: command not found
bash: dpkg:: command not found
bash: syntax error near unexpected token `('
bash: Package: command not found
bash: syntax error near unexpected token `('
bash: dependency: command not found
bash: syntax error near unexpected token `('
bash: /etc/kernel/header_postinst.d/dkms:: No such file or directory
bash: dkms:: command not found
bash: Sign: command not found
bash: Signing: command not found
bash: syntax error near unexpected token `('
bash: Building: command not found
bash: Cleaning: command not found
bash: syntax error near unexpected token `('
bash: syntax error near unexpected token `('
bash: Consult: command not found
bash: Sign: command not found
bash: Signing: command not found
bash: syntax error near unexpected token `('
bash: Building: command not found
bash: Cleaning: command not found
bash: syntax error near unexpected token `('
bash: syntax error near unexpected token `('
bash: Consult: command not found
bash: Error!: command not found
bash: Refer: command not found
bash: dkms:: command not found
bash: run-parts:: command not found
bash: Failed: command not found
bash: syntax error near unexpected token `('
bash: installed: command not found
bash: dpkg:: command not found
bash: syntax error near unexpected token `('
bash: Package: command not found
bash: syntax error near unexpected token `('
bash: dependency: command not found
bash: Errors: command not found
bash: linux-image-6.1.0-21-amd64: command not found
bash: linux-image-amd64: command not found
bash: linux-headers-6.1.0-21-amd64: command not found
bash: linux-headers-amd64: command not found
 
To check the installed status of the linux images and linux headers and lynis, you can run commands like:
Code:
dpkg -l | grep linux-image
dpkg -l | grep linux-headers
dpkg -l | grep lynis
and if the output lines begin with ii, it means that according to the system, they have been successfully installed.
 

Members online


Top